IPSW-KERNEL-CPP(1)

NAME
ipsw-kernel-cpp - Discover C++ classes from kernelcache

SYNOPSIS
ipsw kernel cpp [flags]

DESCRIPTION
Discover C++ classes from kernelcache

OPTIONS
-a, --arch=""
    Which architecture to use for fat/universal MachO

--blockprofile=""
    Write block profile to file

-c, --class=""
    Only emit the specified class name

--cpuprofile=""
    Write CPU profile to file

-e, --entry=[]
    Only scan the specified bundle/entry (repeatable)

--flightrecorder=""
    Write flight recorder trace to file

-h, --help[=false]
    help for cpp

-i, --inheritance[=false]
    Show inheritance hierarchy

-j, --json[=false]
    Output classes as JSON

-l, --limit=0
    Limit number of classes to display (0 = all)

--memprofile=""
    Write heap profile to file

--methods[=false]
    List per-slot vtable methods with PAC metadata

--mutexprofile=""
    Write mutex profile to file

-o, --output=""
    Write output to file

--pprof=""
    Serve net/http/pprof on address (e.g. localhost:6060)

--timings[=false]
    Print timing breakdown

--trace=""
    Write runtime trace to file

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Discover all classes
    ❯ ipsw kernel cpp kernelcache.release.iPhone17,1
    # Show specific class
    ❯ ipsw kernel cpp -c IOService kernelcache.release.iPhone17,1
    # Scan only the kernel entry
    ❯ ipsw kernel cpp -e com.apple.kernel kernelcache.release.iPhone17,1
    # JSON output
    ❯ ipsw kernel cpp --json kernelcache.release.iPhone17,1
    # Show inheritance hierarchy
    ❯ ipsw kernel cpp --inheritance kernelcache.release.iPhone17,1
    # List per-slot vtable methods with PAC metadata
    ❯ ipsw kernel cpp --methods -c IOUserClient kernelcache.release.iPhone17,1
    # Profile CPU usage
    ❯ ipsw kernel cpp --cpuprofile cpu.prof kernelcache.release.iPhone17,1

SEE ALSO
ipsw-kernel(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra